
Foreman - Feature #11174

Don't show password placeholder when empty

07/21/2015 08:09 AM - Veronika Kabatova

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2599

  

Description

When adding IPA server as LDAP Auth Source, after submitting, the password field shows a placeholder even if no password was

provided. This may be confusing when finding the source of the problem, since the error and traceback when creating group with this

auth source is the same as in <http://projects.theforeman.org/issues/11153&gt;.

Not showing the password placeholder when there is no password and / or showing different error message would definitely help.

Related issues:

Related to Foreman - Bug #11153: Traceback when LDAP authentication password ... Closed 07/20/2015

Related to Foreman - Bug #11949: In new user form, password's placeholder sho... Closed 09/24/2015

Associated revisions

Revision 0dc8fd72 - 08/20/2015 04:39 PM - Amir Fefer

Fixes #11174 - Don't show password placeholder when empty

History

#1 - 07/21/2015 08:21 AM - Dominic Cleal

- Category set to Web Interface

#2 - 07/21/2015 09:15 AM - Marek Hulán

- Related to Bug #11153: Traceback when LDAP authentication password is incorrect added

#3 - 08/12/2015 08:11 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2599 added

- Pull request deleted ()

#4 - 08/20/2015 05:02 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0dc8fd72ff50b739ba3ad516952f98b08317c1ce.

#5 - 08/21/2015 03:26 AM - Dominic Cleal

- Assignee set to Amir Fefer

- translation missing: en.field_release set to 63

#6 - 09/24/2015 09:18 AM - Dominic Cleal

- Related to Bug #11949: In new user form, password's placeholder should be empty added
